VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "FillMemento"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa FillMemento
Implements Memento
Private index As Integer
Private med As Mediator
'-----
Public Sub init(a As Integer, md As Mediator)
  index = a
  Set med = md
End Sub
'-----
Private Sub Memento_init(d As Drawing)
End Sub
'-----
Private Sub Memento_restore()
  Dim d As Drawing
  Set d = med.getDrawing(index)
  d.setFill False
End Sub
